Close
Cart

VSCO: Not supported on Android Jelly Bean

We are a company that strives to always move forward. In order to best use the technology available to us, the newest release of VSCO will not be made available for Android Jelly Bean and older.

In order to access the in-app store to purchase or download any presets or to take advantage of the new features in VSCO, you will need to update to Android 4.4.2 (KitKat) or later.

Before updating your Android version, we suggest exporting all of your Studio images. This is to ensure you will retain all of the images on your current device.